cURL
curl --request POST \ --url https://api.embedreach.com/partner/channel/integrations \ --header 'Content-Type: application/json' \ --data ' { "channel_provider": "reach-managed", "channel_integration_type": "email", "channel_integration_metadata": { "type": "reach-managed", "customDomainEnabled": true, "awsCustomDomainInfo": { "awsAccountId": "<string>", "roleArn": "<string>", "hostedZoneId": "<string>", "baseDomain": "<string>" } } } '
{ "success": true, "message": "<string>", "data": { "id": "<string>", "channel_integration_metadata": { "type": "reach-managed" } } }
Create a new channel integration
The provider of the channel integration
reach-managed
reach-managed-ses
reach-managed-sms
twilio
The type of the channel integration
email
sms
The metadata for the channel integration
Show child attributes
Whether the custom domain is enabled
The awsCustomDomainInfo for the Route53 account
The AWS Account ID for the Route53 account
The Role ARN to assume
The hostedZoneId for the Route53 account
The baseDomain for the Route53 custom domain
Status 200 response
The id of the channel integration